2026-10-23 12.00 UTC - There are currently no active events. All systems operational.

Create new Extra Value

Prev Next
Post
/extra-values/

Operation is used to create new extra value. Available from product version 3.0.24.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Body parameters

Extra Value to be created

object

Extra Value write representation. Provide exactly one of extraValue or extraValueEnum: extraValue for scalar attribute types, extraValueEnum for Multiple Choice (enum) attributes.

extraAttribute
integer Required

Extra Attribute id

extraValue
string

Value of Attribute for scalar data types. Format is defined by the related Extra Attribute data type. Mutually exclusive with extraValueEnum.

extraValueEnum
integer

Id of the Enum value to set. Used for Multiple Choice (enum) attributes instead of extraValue. Mutually exclusive with extraValue.

relatedInstanceId
integer Required

Id of related object instance

Responses
201

A created Extra Value

object

Extra Value write representation. Provide exactly one of extraValue or extraValueEnum: extraValue for scalar attribute types, extraValueEnum for Multiple Choice (enum) attributes.

created
string (date-time)

Creation date and time

extraAttribute
integer

Extra Attribute id

extraValue
string

Value of Attribute for scalar data types. Format is defined by the related Extra Attribute data type. Mutually exclusive with extraValueEnum.

extraValueEnum
integer

Id of the Enum value to set. Used for Multiple Choice (enum) attributes instead of extraValue. Mutually exclusive with extraValue.

id
integer

Unique id of Extra Value

modified
string (date-time)

Creation date and time

relatedInstanceId
integer

Id of related object instance

relatedInstanceUrl
string (url)

Url of related object instance in the API

400

There was an error in request. Usually field validation failed.

{
  "extraAttribute": [
    "This field is required."
  ],
  "extraValue": [
    "This field is required."
  ],
  "relatedInstanceId": [
    "This field is required."
  ]
}
object

Fields which failed validation

property*
Array of string additionalProperties

List of validation errors for this fieldname

string

Validation error

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error